# frozen_string_literal: true

module Hermes
  # Entity serializer
  class EntitySerializer < Hermes::ApplicationSerializer
    attributes %i[
      als_id
      title
      siret
      siren
      is_root
      root_id
      parent_id
      id_rex
      id_cristal
      automated_request_validations
      delegated_validations
      priorities_enabled
      in_peec
      achieved_goal
      spent_on_completed_requests
      spent_on_ongoing_requests
      spent_on_other
      annual_stock
      total_spent
      points_balance
      applicant_ids
      housing_offer_ids
      lessor_id
      group_id
      supervisor_group_id
      manager_group_id
    ]

    type 'entities'

    def applicant_ids
      object.applicant_ids&.map(&:to_s)
    end

    def housing_offer_ids
      object.housing_offer_ids&.map(&:to_s)
    end

    def lessor_id
      object.lessor_id&.to_s
    end

    def group_id
      object.group_id&.to_s
    end

    def supervisor_group_id
      object.supervisor_group_id
    end

    def manager_group_id
      object.manager_group_id
    end
  end
end
