# frozen_string_literal: true

require 'faker'

FactoryBot.define do
  factory :applicant, class: Hermes::Applicant do
    first_name { Faker::Name.first_name }
    last_name { Faker::Name.last_name }

    transient do
      notifications_count { 0 }
    end

    after :create do |user, options|
      if options.notifications_count.positive?
        create_list :notification, options.notifications_count, targetable: user
      end
    end
  end
end
